ショップランキング - 最もプロモーションされているショップ
概要
TikTokショップの最もプロモーションされているランキングデータを取得します。以下の機能をサポートします。
- フィルターパラメータの設定が可能
- カスタムソート順に対応
API エンドポイント
bash
POST /shop/v1/rank/mostPromotedリクエストボディ
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
filter | object | いいえ | フィルターパラメータ |
orderby | object | いいえ | ソートパラメータ |
page | integer | いいえ | ページ番号, デフォルト: 1 |
pagesize | integer | いいえ | 1ページあたりの件数, デフォルト: 10 |
page*pagesize<= 500
pagesize範囲 [1, 100]
filter オプション値
| フィールド | 型 | 必須 | 説明 |
|---|---|---|---|
region | string | いいえ | 国/地域 |
category_id | integer | いいえ | 商品カテゴリ |
shop_type | integer | いいえ | ショップタイプ: 1 (ブランドショップ), 2 (小売ショップ) |
is_cross_border | integer | いいえ | 越境ECかどうか: 1 (はい), 0 (いいえ) |
date_info | object | はい | 日付情報 |
region 範囲:
['US','GB','MX','ES','DE','IT','FR','PT','NL','BE','AT','PL','ID','VN','MY','TH','PH','BR','JP','SG']
orderby オプション値
| フィールド | 必須 | 説明 |
|---|---|---|
affiliate_count | いいえ | アフィリエイト数(降順) |
リクエスト例
bash
curl 'https://openapi.fastmoss.com/shop/v1/rank/mostPromoted' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
"filter": {
"region": "US",
"category_id": 14,
# "shop_type": 1,
# "is_cross_border": 1,
"date_info": {
"type": "day",
"value": "2026-04-01"
},
# "date_info": {
# "type": "week",
# "value": "2026-05"
# },
# "date_info": {
# "type": "month",
# "value": "2026-03"
# }
},
"orderby": [
{
"field": "affiliate_count",
"order": "desc",
}
],
"page": 1,
"pagesize": 10
}'レスポンスボディ
data.total
結果の総数。
data.list
| フィールド | 型 | 説明 |
|---|---|---|
shop_info | object | ショップ情報 |
rank_category | object | ランキングカテゴリ |
total_affiliate_count | integer | 総関連クリエイター数 |
affiliate_count | integer | 新規関連クリエイター数 |
sale_product_count | integer | 販売中の商品数 |
units_sold | integer | 販売数 |
gmv | integer | 売上金額(GMV) |
usd_gmv | integer | USD換算売上 |
units_sold_inc_rate | string | 販売成長率 |
gmv_inc_rate | string | 売上成長率 |
currency | string | 通貨 |
レスポンス例
json
{
"code": 0,
"data": {
"list": [
{
"shop_info": {
"seller_id": 7494006325298104216,
"name": "LOOKFANTASTIC",
"brand": "LOOKFANTASTIC",
"seller_company": "Thehut.com limited",
"avatar": "https://s.500fd.com/tt_shop/813e1606cff740e9932168cfe95e5c4f~tplv-tulkllf4y5-resize-webp:300:300.webp",
"region": "GB",
"currency": "GBP",
"product_count": 4881,
"shop_rating": 4.7,
"main_category": {
"category_id": 14,
"name": "Beauty & Personal Care"
},
"is_fully_managed": 0,
"is_cross_border": 0,
"shop_type": 1,
"status": 1
},
"rank_category": { "category_id": 0, "name": "" },
"total_affiliate_count": 47691,
"affiliate_count": 55,
"sale_product_count": 252,
"units_sold": 984,
"gmv": 24915.88,
"usd_gmv": 30895.69,
"units_sold_inc_rate": "28.8%",
"gmv_inc_rate": "43.39%",
"currency": "GBP"
}
],
"total": 500,
"date_type": "day",
"date_value": "2026-04-06"
},
"message": "",
"timestamp": 1775714099,
"request_id": "764beab5-2619-53cc-cf63-b726d9086655"
}